DEV_CLOSE(9)

NAME
dev_close - shutdown an interface.

SYNOPSIS

int dev_close (struct net_device * dev);

ARGUMENTS

dev device to shutdown

DESCRIPTION

This function moves an active device into down state. A NETDEV_GOING_DOWN is sent to the netdev notifier chain. The device is then deactivated and finally a NETDEV_DOWN is sent to the notifier chain.